set CMSDK_NVM_BASE            0x50002000
set CMSDK_NVM_OPMODE [expr $CMSDK_NVM_BASE + 0x0]
set CMSDK_NVM_OPMODE_READ__RESET_VALUE 0x00000000
set CMSDK_NVM_OPMODE_PROGRAM__RESET_VALUE 0x00000000
set CMSDK_NVM_OPMODE_WORD_SIZE__RESET_VALUE 0x00000000
set CMSDK_NVM_OPMODE_AUTO_INC__RESET_VALUE 0x00000000
set CMSDK_NVM_OPMODE_GO__RESET_VALUE 0x00000000
set CMSDK_NVM_OPMODE__RESET_VALUE 0x00000000
set CMSDK_NVM_ADDRESS [expr $CMSDK_NVM_BASE + 0x4]
set CMSDK_NVM_ADDRESS_ADDRESS__RESET_VALUE 0x00000000
set CMSDK_NVM_ADDRESS__RESET_VALUE 0x00000000
set CMSDK_NVM_STATUS [expr $CMSDK_NVM_BASE + 0x8]
set CMSDK_NVM_STATUS_RUNNING__RESET_VALUE 0x00000000
set CMSDK_NVM_STATUS__RESET_VALUE 0x00000000
set CMSDK_NVM_READ_DATA [expr $CMSDK_NVM_BASE + 0xc]
set CMSDK_NVM_READ_DATA_READ_DATA__RESET_VALUE 0x00000000
set CMSDK_NVM_READ_DATA__RESET_VALUE 0x00000000
set CMSDK_NVM_T_SP_PG_AVDD [expr $CMSDK_NVM_BASE + 0x10]
set CMSDK_NVM_T_SP_PG_AVDD_CYCLES__RESET_VALUE 0x0000000f
set CMSDK_NVM_T_SP_PG_AVDD__RESET_VALUE 0x0000000f
set CMSDK_NVM_T_SP_PGM [expr $CMSDK_NVM_BASE + 0x14]
set CMSDK_NVM_T_SP_PGM_CYCLES__RESET_VALUE 0x00000000
set CMSDK_NVM_T_SP_PGM__RESET_VALUE 0x00000000
set CMSDK_NVM_T_PGM [expr $CMSDK_NVM_BASE + 0x18]
set CMSDK_NVM_T_PGM_CYCLES__RESET_VALUE 0x0000008f
set CMSDK_NVM_T_PGM__RESET_VALUE 0x0000008f
set CMSDK_NVM_T_HP_PGM [expr $CMSDK_NVM_BASE + 0x1c]
set CMSDK_NVM_T_HP_PGM_CYCLES__RESET_VALUE 0x00000000
set CMSDK_NVM_T_HP_PGM__RESET_VALUE 0x00000000
set CMSDK_NVM_T_HP_PG_AVDD [expr $CMSDK_NVM_BASE + 0x20]
set CMSDK_NVM_T_HP_PG_AVDD_CYCLES__RESET_VALUE 0x0000000f
set CMSDK_NVM_T_HP_PG_AVDD__RESET_VALUE 0x0000000f
set CMSDK_NVM_T_SR_RD [expr $CMSDK_NVM_BASE + 0x24]
set CMSDK_NVM_T_SR_RD_CYCLES__RESET_VALUE 0x00000001
set CMSDK_NVM_T_SR_RD__RESET_VALUE 0x00000001
set CMSDK_NVM_T_RD [expr $CMSDK_NVM_BASE + 0x28]
set CMSDK_NVM_T_RD_CYCLES__RESET_VALUE 0x00000000
set CMSDK_NVM_T_RD__RESET_VALUE 0x00000000
set CMSDK_NVM_T_HR_RD [expr $CMSDK_NVM_BASE + 0x2c]
set CMSDK_NVM_T_HR_RD_CYCLES__RESET_VALUE 0x00000001
set CMSDK_NVM_T_HR_RD__RESET_VALUE 0x00000001
set CMSDK_NVM_T_SETUP [expr $CMSDK_NVM_BASE + 0x30]
set CMSDK_NVM_T_SETUP_CYCLES__RESET_VALUE 0x00000000
set CMSDK_NVM_T_SETUP__RESET_VALUE 0x00000000
set CMSDK_NVM_T_HOLD [expr $CMSDK_NVM_BASE + 0x34]
set CMSDK_NVM_T_HOLD_CYCLES__RESET_VALUE 0x00000000
set CMSDK_NVM_T_HOLD__RESET_VALUE 0x00000000
set CMSDK_NVM_T_ADDR [expr $CMSDK_NVM_BASE + 0x38]
set CMSDK_NVM_T_ADDR_CYCLES__RESET_VALUE 0x00000000
set CMSDK_NVM_T_ADDR__RESET_VALUE 0x00000000
set CMSDK_NVM_INTERRUPT_MASK [expr $CMSDK_NVM_BASE + 0x3c]
set CMSDK_NVM_INTERRUPT_MASK_PASSTHRU0__RESET_VALUE 0x00000000
set CMSDK_NVM_INTERRUPT_MASK__RESET_VALUE 0x00000000
set CMSDK_NVM_INTERRUPT_STATUS [expr $CMSDK_NVM_BASE + 0x40]
set CMSDK_NVM_INTERRUPT_STATUS_INTERRUPT0__RESET_VALUE 0x00000000
set CMSDK_NVM_INTERRUPT_STATUS__RESET_VALUE 0x00000000
set CMSDK_NVM_SET_INTERRUPT [expr $CMSDK_NVM_BASE + 0x44]
set CMSDK_NVM_SET_INTERRUPT_SET_INTERRUPT0__RESET_VALUE 0x00000000
set CMSDK_NVM_SET_INTERRUPT__RESET_VALUE 0x00000000
set CMSDK_NVM_RESET_INTERRUPT [expr $CMSDK_NVM_BASE + 0x48]
set CMSDK_NVM_RESET_INTERRUPT_RESET_INTERRUPT0__RESET_VALUE 0x00000000
set CMSDK_NVM_RESET_INTERRUPT__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD [expr $CMSDK_NVM_BASE + 0x4c]
set CMSDK_NVM_EFUSE_AUTOREAD_SWD_DISABLE__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_SYSRAM_SVT_EN_HW__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_SYSRAM_HVT_EN_HW__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_PKG_6X6__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_RESERVED1__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_OTP_HARV_ALLOWED__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_OTP_BROWNOUT_THR__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_OTP_ENDOFLIFE_THR__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_OTP_NABG_TRIM__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_OTP_GEN_VDDIO__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_OTP_HARV_TYPE__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_OTP_BATT_TYPE__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD_RESERVED2__RESET_VALUE 0x00000000
set CMSDK_NVM_EFUSE_AUTOREAD__RESET_VALUE 0x00000000
set CMSDK_NVM_ID [expr $CMSDK_NVM_BASE + 0xffc]
set CMSDK_NVM_ID_ID__RESET_VALUE 0x4e564d20
set CMSDK_NVM_ID__RESET_VALUE 0x4e564d20
